part of 'generated.dart';

class DeleteShiftRoleVariablesBuilder {
  String shiftId;
  String roleId;

  final FirebaseDataConnect _dataConnect;
  DeleteShiftRoleVariablesBuilder(this._dataConnect, {required  this.shiftId,required  this.roleId,});
  Deserializer<DeleteShiftRoleData> dataDeserializer = (dynamic json)  => DeleteShiftRoleData.fromJson(jsonDecode(json));
  Serializer<DeleteShiftRoleVariables> varsSerializer = (DeleteShiftRoleVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteShiftRoleData, DeleteShiftRoleVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteShiftRoleData, DeleteShiftRoleVariables> ref() {
    DeleteShiftRoleVariables vars= DeleteShiftRoleVariables(shiftId: shiftId,roleId: roleId,);
    return _dataConnect.mutation("deleteShiftRole", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteShiftRoleShiftRoleDelete {
  final String shiftId;
  final String roleId;
  DeleteShiftRoleShiftRoleDelete.fromJson(dynamic json):
  
  shiftId = nativeFromJson<String>(json['shiftId']),
  roleId = nativeFromJson<String>(json['roleId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteShiftRoleShiftRoleDelete otherTyped = other as DeleteShiftRoleShiftRoleDelete;
    return shiftId == otherTyped.shiftId && 
    roleId == otherTyped.roleId;
    
  }
  @override
  int get hashCode => Object.hashAll([shiftId.hashCode, roleId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['shiftId'] = nativeToJson<String>(shiftId);
    json['roleId'] = nativeToJson<String>(roleId);
    return json;
  }

  DeleteShiftRoleShiftRoleDelete({
    required this.shiftId,
    required this.roleId,
  });
}

@immutable
class DeleteShiftRoleData {
  final DeleteShiftRoleShiftRoleDelete? shiftRole_delete;
  DeleteShiftRoleData.fromJson(dynamic json):
  
  shiftRole_delete = json['shiftRole_delete'] == null ? null : DeleteShiftRoleShiftRoleDelete.fromJson(json['shiftRole_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteShiftRoleData otherTyped = other as DeleteShiftRoleData;
    return shiftRole_delete == otherTyped.shiftRole_delete;
    
  }
  @override
  int get hashCode => shiftRole_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (shiftRole_delete != null) {
      json['shiftRole_delete'] = shiftRole_delete!.toJson();
    }
    return json;
  }

  DeleteShiftRoleData({
    this.shiftRole_delete,
  });
}

@immutable
class DeleteShiftRoleVariables {
  final String shiftId;
  final String roleId;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteShiftRoleVariables.fromJson(Map<String, dynamic> json):
  
  shiftId = nativeFromJson<String>(json['shiftId']),
  roleId = nativeFromJson<String>(json['roleId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteShiftRoleVariables otherTyped = other as DeleteShiftRoleVariables;
    return shiftId == otherTyped.shiftId && 
    roleId == otherTyped.roleId;
    
  }
  @override
  int get hashCode => Object.hashAll([shiftId.hashCode, roleId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['shiftId'] = nativeToJson<String>(shiftId);
    json['roleId'] = nativeToJson<String>(roleId);
    return json;
  }

  DeleteShiftRoleVariables({
    required this.shiftId,
    required this.roleId,
  });
}

